Remove a team from a realm
Removes a team from the realm’s team list and uninstalls it from the realm’s online daemons.
Requires a realm operator (or higher) with the realms.teams.manage permission on the realm that owns the realm given by realm_id.
POST
/
v1
/
realms
/
remove_team
Remove a team from a realm
curl --request POST \
--url https://{host}/v1/realms/remove_team \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"realm_id": "5b0c3a7e-2f4d-4b8e-9a51-7c1d2e3f4a5b",
"scope": "acme",
"slug": "code-review"
}
'import requests
url = "https://{host}/v1/realms/remove_team"
payload = {
"realm_id": "5b0c3a7e-2f4d-4b8e-9a51-7c1d2e3f4a5b",
"scope": "acme",
"slug": "code-review"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
realm_id: '5b0c3a7e-2f4d-4b8e-9a51-7c1d2e3f4a5b',
scope: 'acme',
slug: 'code-review'
})
};
fetch('https://{host}/v1/realms/remove_team', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{host}/v1/realms/remove_team",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'realm_id' => '5b0c3a7e-2f4d-4b8e-9a51-7c1d2e3f4a5b',
'scope' => 'acme',
'slug' => 'code-review'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{host}/v1/realms/remove_team"
payload := strings.NewReader("{\n \"realm_id\": \"5b0c3a7e-2f4d-4b8e-9a51-7c1d2e3f4a5b\",\n \"scope\": \"acme\",\n \"slug\": \"code-review\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{host}/v1/realms/remove_team")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"realm_id\": \"5b0c3a7e-2f4d-4b8e-9a51-7c1d2e3f4a5b\",\n \"scope\": \"acme\",\n \"slug\": \"code-review\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{host}/v1/realms/remove_team")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"realm_id\": \"5b0c3a7e-2f4d-4b8e-9a51-7c1d2e3f4a5b\",\n \"scope\": \"acme\",\n \"slug\": \"code-review\"\n}"
response = http.request(request)
puts response.read_body{
"ok": true,
"team_list": [],
"uninstall": {
"scope": "acme",
"slug": "code-review",
"results": [
{
"daemon_id": "7d1c2b3a-4e5f-4a6b-8c7d-9e0f1a2b3c4d",
"ok": true
}
]
}
}
Authorizations
User PAT (cliq_tok_…, including session-scoped) or realm token (cliq_dt_…).
Body
application/json
⌘I
Remove a team from a realm
curl --request POST \
--url https://{host}/v1/realms/remove_team \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"realm_id": "5b0c3a7e-2f4d-4b8e-9a51-7c1d2e3f4a5b",
"scope": "acme",
"slug": "code-review"
}
'import requests
url = "https://{host}/v1/realms/remove_team"
payload = {
"realm_id": "5b0c3a7e-2f4d-4b8e-9a51-7c1d2e3f4a5b",
"scope": "acme",
"slug": "code-review"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
realm_id: '5b0c3a7e-2f4d-4b8e-9a51-7c1d2e3f4a5b',
scope: 'acme',
slug: 'code-review'
})
};
fetch('https://{host}/v1/realms/remove_team', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{host}/v1/realms/remove_team",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'realm_id' => '5b0c3a7e-2f4d-4b8e-9a51-7c1d2e3f4a5b',
'scope' => 'acme',
'slug' => 'code-review'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{host}/v1/realms/remove_team"
payload := strings.NewReader("{\n \"realm_id\": \"5b0c3a7e-2f4d-4b8e-9a51-7c1d2e3f4a5b\",\n \"scope\": \"acme\",\n \"slug\": \"code-review\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{host}/v1/realms/remove_team")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"realm_id\": \"5b0c3a7e-2f4d-4b8e-9a51-7c1d2e3f4a5b\",\n \"scope\": \"acme\",\n \"slug\": \"code-review\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{host}/v1/realms/remove_team")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"realm_id\": \"5b0c3a7e-2f4d-4b8e-9a51-7c1d2e3f4a5b\",\n \"scope\": \"acme\",\n \"slug\": \"code-review\"\n}"
response = http.request(request)
puts response.read_body{
"ok": true,
"team_list": [],
"uninstall": {
"scope": "acme",
"slug": "code-review",
"results": [
{
"daemon_id": "7d1c2b3a-4e5f-4a6b-8c7d-9e0f1a2b3c4d",
"ok": true
}
]
}
}